#!/usr/bin/env python
# 2008 copyright David D Lowe
# released under the GPL v2

from distutils.core import setup
import subprocess
import os, sys
import glob


def main():
    
    data_files = glob.glob("epidermis/data/*")  
    
    # a list of classifiers can be found at http://pypi.python.org/pypi?:action=list_classifiers
    
    setup( name="epidermis",
    version="0.1",
    description="Epidermis theme manager for your GNOME desktop on Ubuntu",
    author="David D Lowe",
    author_email="daviddlowe.flimm@gmail.com",
    url="http://epidermis.tuxfamily.org",
    license="GPL v2",
    packages=["epidermis", "epidermis.pigments"],
    data_files=[('share/epidermis/data/', data_files), 
        ('/usr/share/applications', ['epidermis/data/epidermis.desktop']),
        ('/usr/share/pixmaps', ['epidermis/data/epidermis.svg'])],
    scripts=["runner/epidermis"],
    classifiers=["Development Status :: 5 - Production/Stable", "Intended Audience :: End Users/Desktop", "License :: OSI Approved :: GNU General Public License (GPL)", "Operating System :: POSIX :: Linux"],
    long_description="""Epidermis changes the appearance of your Ubuntu GNOME desktop in all its aspects in one click. Epidermis 'skins' change the appearance of your desktop wallpaper, Metacity windows border theme, your GTK controls theme, your icon theme, your mouse cursor theme, your GRUB bootsplash screen, your GDM login screen theme and your Usplash boot splash image.
Each of these customisations are downloaded in 'pigments' which are available from an Epidermis 'repository'.
Epidermis was written in python with pygtk.
Find more information at http://epidermis.tuxfamily.org and https://launchpad.net/epidermis/""")

if __name__ == "__main__":
    main()
